package com.kdanmobile.reader.view

import android.content.Context
import android.os.Build
import android.widget.PopupWindow
import com.kdanmobile.reader.BuildConfig
import com.kdanmobile.reader.R

class AnnotationPropertySettingWindow(context: Context, isSimpleMode: Boolean) : PopupWindow(context) {
    val annotationPropertySettingView: AnnotationPropertySettingView

    init {
        isOutsideTouchable = true
        isFocusable = true
        if (Build.VERSION.SDK_INT > Build.VERSION_CODES.LOLLIPOP) {
            elevation = context.resources.getDimension(R.dimen.reader_annotation_property_setting_window_elevation)
        }
        setBackgroundDrawable(context.resources.getDrawable(R.drawable.bg_annotation_property_setting_window))
        annotationPropertySettingView = AnnotationPropertySettingView(context)
        annotationPropertySettingView.isSimpleMode = isSimpleMode
        contentView = annotationPropertySettingView
    }
}